import java.net.*;
import java.io.*;
import java.util.Observable;


public class ClientNetwork extends Observable implements Runnable {
  
  Socket s;
  OutputStreamWriter out;
  String msgFromServer;
  
  public ClientNetwork(String ip, String port) {
    try {
      s = new Socket(ip, Integer.parseInt(port));
      out = new OutputStreamWriter(s.getOutputStream());
      Thread t = new Thread(this);
      t.start();
    } catch (Exception e) {
      System.err.println(e);
    }
  }
  
  public void run() {
    try {
      InputStream in = new BufferedInputStream(s.getInputStream());
      while(true) {
        //System.out.println(in);
        msgFromServer = "";
        int c = in.read();
        
        while(c != 13) {
          msgFromServer += (char)c;
          c = in.read();
        }
        
        //System.out.println(msgFromServer);
        setChanged();
        notifyObservers();
        
        //System.out.println(s);
      }
    } catch (IOException e) {
      System.err.println("Error in run");
    }
  }
  
  public String getMsg() {
    return msgFromServer;
  }
  
  public void sendMsg(String msg) {
    try {
      out.write(msg);
      out.flush();
    } catch (IOException e) {
      System.err.println("Couldn't send");
    }
  }
}



