import java.net.*;
import java.io.*;

public class ScanIncomingConnections implements Runnable {
  
  private MainRoom server;
  public static final int PORT = 1500;
  
  /**
   * Constructs a scanning object that waits for incoming connections
   * @param server the server that it will send clients back to
   */
  public ScanIncomingConnections(MainRoom server) {
    this.server = server;
  }
  
  /**
   * Overrided run method that goes when this thread is started
   */
  public void run() {
    ServerSocket wait = null;
    try {
      wait = new ServerSocket(PORT);
    } catch (IOException e) {
      System.err.println("That port is blocked");
    }
    while (true) {
      // wait for an incoming connection...
      
      Socket connection = null;
      try {
        connection = wait.accept();
      } catch (IOException e) {
        System.err.println("That port is blocked");
      }
      
      // notify and send back the client...
      Client c = new Client(connection);
      server.addNewClient(c);
      
      // create a new thread for this client
      Thread t = new Thread(c);
      t.start();
    }
  }
}
